Package com.dropbox.core.v2.teamlog
Class DbxTeamTeamLogRequests
java.lang.Object
com.dropbox.core.v2.teamlog.DbxTeamTeamLogRequests
Routes in namespace "team_log".
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionRetrieves team events.Retrieves team events.getEventsContinue(String cursor) Once a cursor has been retrieved fromgetEvents(com.dropbox.core.v2.teamlog.GetTeamEventsArg), use this to paginate through all events.
-
Constructor Details
-
DbxTeamTeamLogRequests
-
-
Method Details
-
getEvents
Retrieves team events. If the result'sGetTeamEventsResult.getHasMore()field istrue, callgetEventsContinue(String)with the returned cursor to retrieve more entries. If end_time is not specified in your request, you may use the returned cursor to pollgetEventsContinue(String)for new events. Many attributes note 'may be missing due to historical data gap'. Note that the file_operations category and & analogous paper events are not available on all Dropbox Business plans. Use features/get_values to check for this feature. Permission : Team Auditing.The default values for the optional request parameters will be used. See
GetEventsBuilderfor more details. -
getEventsBuilder
Retrieves team events. If the result'sGetTeamEventsResult.getHasMore()field istrue, callgetEventsContinue(String)with the returned cursor to retrieve more entries. If end_time is not specified in your request, you may use the returned cursor to pollgetEventsContinue(String)for new events. Many attributes note 'may be missing due to historical data gap'. Note that the file_operations category and & analogous paper events are not available on all Dropbox Business plans. Use features/get_values to check for this feature. Permission : Team Auditing.- Returns:
- Request builder for configuring request parameters and completing the request.
-
getEventsContinue
public GetTeamEventsResult getEventsContinue(String cursor) throws GetTeamEventsContinueErrorException, DbxException Once a cursor has been retrieved fromgetEvents(com.dropbox.core.v2.teamlog.GetTeamEventsArg), use this to paginate through all events. Permission : Team Auditing.- Parameters:
cursor- Indicates from what point to get the next set of events. Must not benull.- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.GetTeamEventsContinueErrorExceptionDbxException
-